@echo off

g++ -Wall -O2 -Wl,--stack=67108864 lanes_dp.cpp -o lanes_dp.exe
g++ -Wall -O2 -Wl,--stack=67108864 lanes_silly_dp.cpp -o lanes_silly_dp.exe
g++ -Wall -O2 -Wl,--stack=67108864 gen.cpp -o gen.exe
for /L %%i in (1, 1, 100500) do (
  gen.exe
  lanes_dp.exe
  lanes_silly_dp.exe
  fc stress.out lanes.out || exit
  echo Test %%i: OK
)